package javax.sql;

import java.net.URL;
import java.sql.NClob;
import java.sql.RowId;
import java.sql.SQLXML;
import java.util.Calendar;
import java.sql.Array;
import java.sql.Clob;
import java.sql.Blob;
import java.sql.Ref;
import java.io.Reader;
import java.io.InputStream;
import java.sql.Timestamp;
import java.sql.Time;
import java.sql.Date;
import java.math.BigDecimal;
import java.util.Map;
import java.sql.SQLException;
import java.sql.ResultSet;

public interface RowSet extends ResultSet
{
    public abstract String getUrl() throws SQLException;
    
    public abstract void setUrl(String p0) throws SQLException;
    
    public abstract String getDataSourceName();
    
    public abstract void setDataSourceName(String p0) throws SQLException;
    
    public abstract String getUsername();
    
    public abstract void setUsername(String p0) throws SQLException;
    
    public abstract String getPassword();
    
    public abstract void setPassword(String p0) throws SQLException;
    
    public abstract int getTransactionIsolation();
    
    public abstract void setTransactionIsolation(int p0) throws SQLException;
    
    public abstract Map<String, Class<?>> getTypeMap() throws SQLException;
    
    public abstract void setTypeMap(Map<String, Class<?>> p0) throws SQLException;
    
    public abstract String getCommand();
    
    public abstract void setCommand(String p0) throws SQLException;
    
    public abstract boolean isReadOnly();
    
    public abstract void setReadOnly(boolean p0) throws SQLException;
    
    public abstract int getMaxFieldSize() throws SQLException;
    
    public abstract void setMaxFieldSize(int p0) throws SQLException;
    
    public abstract int getMaxRows() throws SQLException;
    
    public abstract void setMaxRows(int p0) throws SQLException;
    
    public abstract boolean getEscapeProcessing() throws SQLException;
    
    public abstract void setEscapeProcessing(boolean p0) throws SQLException;
    
    public abstract int getQueryTimeout() throws SQLException;
    
    public abstract void setQueryTimeout(int p0) throws SQLException;
    
    public abstract void setType(int p0) throws SQLException;
    
    public abstract void setConcurrency(int p0) throws SQLException;
    
    public abstract void setNull(int p0, int p1) throws SQLException;
    
    public abstract void setNull(String p0, int p1) throws SQLException;
    
    public abstract void setNull(int p0, int p1, String p2) throws SQLException;
    
    public abstract void setNull(String p0, int p1, String p2) throws SQLException;
    
    public abstract void setBoolean(int p0, boolean p1) throws SQLException;
    
    public abstract void setBoolean(String p0, boolean p1) throws SQLException;
    
    public abstract void setByte(int p0, byte p1) throws SQLException;
    
    public abstract void setByte(String p0, byte p1) throws SQLException;
    
    public abstract void setShort(int p0, short p1) throws SQLException;
    
    public abstract void setShort(String p0, short p1) throws SQLException;
    
    public abstract void setInt(int p0, int p1) throws SQLException;
    
    public abstract void setInt(String p0, int p1) throws SQLException;
    
    public abstract void setLong(int p0, long p1) throws SQLException;
    
    public abstract void setLong(String p0, long p1) throws SQLException;
    
    public abstract void setFloat(int p0, float p1) throws SQLException;
    
    public abstract void setFloat(String p0, float p1) throws SQLException;
    
    public abstract void setDouble(int p0, double p1) throws SQLException;
    
    public abstract void setDouble(String p0, double p1) throws SQLException;
    
    public abstract void setBigDecimal(int p0, BigDecimal p1) throws SQLException;
    
    public abstract void setBigDecimal(String p0, BigDecimal p1) throws SQLException;
    
    public abstract void setString(int p0, String p1) throws SQLException;
    
    public abstract void setString(String p0, String p1) throws SQLException;
    
    public abstract void setBytes(int p0, byte[] p1) throws SQLException;
    
    public abstract void setBytes(String p0, byte[] p1) throws SQLException;
    
    public abstract void setDate(int p0, Date p1) throws SQLException;
    
    public abstract void setTime(int p0, Time p1) throws SQLException;
    
    public abstract void setTimestamp(int p0, Timestamp p1) throws SQLException;
    
    public abstract void setTimestamp(String p0, Timestamp p1) throws SQLException;
    
    public abstract void setAsciiStream(int p0, InputStream p1, int p2) throws SQLException;
    
    public abstract void setAsciiStream(String p0, InputStream p1, int p2) throws SQLException;
    
    public abstract void setBinaryStream(int p0, InputStream p1, int p2) throws SQLException;
    
    public abstract void setBinaryStream(String p0, InputStream p1, int p2) throws SQLException;
    
    public abstract void setCharacterStream(int p0, Reader p1, int p2) throws SQLException;
    
    public abstract void setCharacterStream(String p0, Reader p1, int p2) throws SQLException;
    
    public abstract void setAsciiStream(int p0, InputStream p1) throws SQLException;
    
    public abstract void setAsciiStream(String p0, InputStream p1) throws SQLException;
    
    public abstract void setBinaryStream(int p0, InputStream p1) throws SQLException;
    
    public abstract void setBinaryStream(String p0, InputStream p1) throws SQLException;
    
    public abstract void setCharacterStream(int p0, Reader p1) throws SQLException;
    
    public abstract void setCharacterStream(String p0, Reader p1) throws SQLException;
    
    public abstract void setNCharacterStream(int p0, Reader p1) throws SQLException;
    
    public abstract void setObject(int p0, Object p1, int p2, int p3) throws SQLException;
    
    public abstract void setObject(String p0, Object p1, int p2, int p3) throws SQLException;
    
    public abstract void setObject(int p0, Object p1, int p2) throws SQLException;
    
    public abstract void setObject(String p0, Object p1, int p2) throws SQLException;
    
    public abstract void setObject(String p0, Object p1) throws SQLException;
    
    public abstract void setObject(int p0, Object p1) throws SQLException;
    
    public abstract void setRef(int p0, Ref p1) throws SQLException;
    
    public abstract void setBlob(int p0, Blob p1) throws SQLException;
    
    public abstract void setBlob(int p0, InputStream p1, long p2) throws SQLException;
    
    public abstract void setBlob(int p0, InputStream p1) throws SQLException;
    
    public abstract void setBlob(String p0, InputStream p1, long p2) throws SQLException;
    
    public abstract void setBlob(String p0, Blob p1) throws SQLException;
    
    public abstract void setBlob(String p0, InputStream p1) throws SQLException;
    
    public abstract void setClob(int p0, Clob p1) throws SQLException;
    
    public abstract void setClob(int p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setClob(int p0, Reader p1) throws SQLException;
    
    public abstract void setClob(String p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setClob(String p0, Clob p1) throws SQLException;
    
    public abstract void setClob(String p0, Reader p1) throws SQLException;
    
    public abstract void setArray(int p0, Array p1) throws SQLException;
    
    public abstract void setDate(int p0, Date p1, Calendar p2) throws SQLException;
    
    public abstract void setDate(String p0, Date p1) throws SQLException;
    
    public abstract void setDate(String p0, Date p1, Calendar p2) throws SQLException;
    
    public abstract void setTime(int p0, Time p1, Calendar p2) throws SQLException;
    
    public abstract void setTime(String p0, Time p1) throws SQLException;
    
    public abstract void setTime(String p0, Time p1, Calendar p2) throws SQLException;
    
    public abstract void setTimestamp(int p0, Timestamp p1, Calendar p2) throws SQLException;
    
    public abstract void setTimestamp(String p0, Timestamp p1, Calendar p2) throws SQLException;
    
    public abstract void clearParameters() throws SQLException;
    
    public abstract void execute() throws SQLException;
    
    public abstract void addRowSetListener(RowSetListener p0);
    
    public abstract void removeRowSetListener(RowSetListener p0);
    
    public abstract void setSQLXML(int p0, SQLXML p1) throws SQLException;
    
    public abstract void setSQLXML(String p0, SQLXML p1) throws SQLException;
    
    public abstract void setRowId(int p0, RowId p1) throws SQLException;
    
    public abstract void setRowId(String p0, RowId p1) throws SQLException;
    
    public abstract void setNString(int p0, String p1) throws SQLException;
    
    public abstract void setNString(String p0, String p1) throws SQLException;
    
    public abstract void setNCharacterStream(int p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setNCharacterStream(String p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setNCharacterStream(String p0, Reader p1) throws SQLException;
    
    public abstract void setNClob(String p0, NClob p1) throws SQLException;
    
    public abstract void setNClob(String p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setNClob(String p0, Reader p1) throws SQLException;
    
    public abstract void setNClob(int p0, Reader p1, long p2) throws SQLException;
    
    public abstract void setNClob(int p0, NClob p1) throws SQLException;
    
    public abstract void setNClob(int p0, Reader p1) throws SQLException;
    
    public abstract void setURL(int p0, URL p1) throws SQLException;
}
